Skip to content

ListRequests

GET/api/v1/requests

List or search for a set of requests by filter.

Example request

curl \
-H "Authorization: Bearer ${OBLIQUE_API_KEY}" \
"https://us.oblique.security/api/v1/requests"

Set OBLIQUE_API_KEY to your API key.

Query parameters

  • filterstring

    Filter requests to match.

    The currently supported filters are:

    • state = OPEN
    • requester = "users/{user}" or requester = "users/me"
    • reviewer = "users/{user}" or reviewer = "users/me"
    • team = "teams/{team}"

    State may be combined with requester, reviewer, or team. Valid states are:

    • OPEN (OPEN or APPROVED)
    • APPROVED
    • APPLIED
    • CLOSED (CLOSED, APPLIED)
  • pageSizeinteger (int32)

    The maximum number of requests to return.

  • pageTokenstring

    A token, which can be sent as page_token to retrieve the next page.

Response

200ListRequestsResponse
  • requestsRequest[]
    • namestring

      Assigned by Oblique. Name of the request of the format requests/{id}.

    • createTimestring (date-time)read-only

      Create and update timestamps.

    • updateTimestring (date-time)read-only
    • displayNamestringread-only

      Short title of the request to display in an inbox or at the top of a request page. Generated by the server from the request’s contents; any value supplied on input is ignored.

    • descriptionstring

      Longer description.

    • requesterstringread-only

      The original creator of the request. Inferred by the user’s authenticated state.

      Format: users/{user}

    • reviewersstring[]

      List of users set to review the request.

      The reviewers field is set through this value on creation only. After, use the EditRequestReviewers method to update the reviewers.

      Use PreviewSuggestedReviewers to determine who to set as reviewers when creating a request.

      Format: users/{user} or users/me.

    • One of

      • teamUpdateRequestTeamUpdate
        • teamstringrequired

          The team to update.

          The owner of this team is required to approve the request.

          Format: teams/{team}

        • membersCreatestring[]

          Members to add to the team.

          Format: users/{user} or users/me.

        • membersDeletestring[]

          Members to remove from the team.

          Format: users/{user} or users/me.

    • applicableListingRolePoliciesstring[]read-only

      Listing role policies that led to this request being approved, if any.

    • applyBehaviorstring
      Allowed values: AUTOMATIC

      Apply behavior can be used to control how this request is applied. The default requires the requester or an approver to merge manually after the request is approved.

    • statestringread-only
      Allowed values: OPEN, APPROVED, APPLIED, CLOSED
    • statusRequestStatusread-only

      Computed status of the request.

      • appliedTimestring (date-time)read-only

        The time the request was merged. Will be empty if the request is not merged.

      • closedTimestring (date-time)read-only

        The time the request was closed. Will be empty if the request is not closed.

      • approversApprover[]read-only

        List of users who have approved the request.

        • userstringread-only

          The user who approved the request.

          Format: users/{user}

        • approvedTimestring (date-time)read-only

          The time the user approved the request. Will be empty if the user has not approved the request.

    • recommendationsstring[]

      Recommendations that this request was created to act on. May only be set when the request is created.

      When the request is applied, any of these recommendations that are still open will be marked as applied.

      Format: recommendations/{recommendation}

  • nextPageTokenstring

    A token, which can be sent as page_token to retrieve the next page.

Errors

StatusMeaning
400Malformed request
401Missing or invalid API key
403Not allowed for this API key
404Not found
429Too many requests
500Internal server error